apex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vlad Rozov (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (APEXMALHAR-2461) Fix dependencies on libraries licensed under Category X
Date Tue, 31 Oct 2017 02:10:00 GMT

    [ https://issues.apache.org/jira/browse/APEXMALHAR-2461?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16226118#comment-16226118
] 

Vlad Rozov commented on APEXMALHAR-2461:
----------------------------------------

More dependencies from the Category X:

{noformat}
  - json-schema-core (https://github.com/fge/json-schema-core) com.github.fge:json-schema-core:jar:1.0.2
    License: LGPLv3 or later (http://www.gnu.org/licenses/lgpl.html)
  - json-schema-validator (https://github.com/fge/json-schema-validator) com.github.fge:json-schema-validator:jar:2.0.1
    License: LGPLv3 or later (http://www.gnu.org/licenses/lgpl.html) 
{noformat}

This dependency can be upgraded to 2.2 version where it is also licensed under Apache.

> Fix dependencies on libraries licensed under Category X
> -------------------------------------------------------
>
>                 Key: APEXMALHAR-2461
>                 URL: https://issues.apache.org/jira/browse/APEXMALHAR-2461
>             Project: Apache Apex Malhar
>          Issue Type: Bug
>            Reporter: Vlad Rozov
>             Fix For: 3.8.0
>
>
> There are few samples and the benchmark application in Malhar that depend
> on libraries licensed under Category X. All such dependencies need to be
> either optional, be replaced with libraries that are compatible with Apache
> license or be removed. Any newly introduced dependency should be either
> compatible with the Apache license or be optional.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message